xn::GeneralIntCapability Class Reference
C++ Reference to Application Programmer Interface (API) » Production Nodes Functionality

`#include <XnCppWrapper.h>`

Inheritance diagram for xn::GeneralIntCapability:
[legend]

## Public Member Functions

| GeneralIntCapability (XnNodeHandle hNode, const XnChar *strCap)
| GeneralIntCapability (const NodeWrapper &node, const XnChar *strCap)
void | GetRange (XnInt32 &nMin, XnInt32 &nMax, XnInt32 &nStep, XnInt32 &nDefault, XnBool &bIsAutoSupported) const
XnInt32 | Get ()
XnStatus | Set (XnInt32 nValue)
XnStatus | RegisterToValueChange (StateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)
void | UnregisterFromValueChange (XnCallbackHandle hCallback)
Public Member Functions inherited from xn::Capability
| Capability (XnNodeHandle hNode)
| Capability (const NodeWrapper &node)
Public Member Functions inherited from xn::NodeWrapper
| NodeWrapper (XnNodeHandle hNode)
| NodeWrapper (const NodeWrapper &other)
NodeWrapper & | operator= (const NodeWrapper &other)
| ~NodeWrapper ()
| operator XnNodeHandle () const
XnNodeHandle | GetHandle () const
XnBool | operator== (const NodeWrapper &other)
XnBool | operator!= (const NodeWrapper &other)
XnBool | IsValid () const
const XnChar * | GetName () const
XnStatus | AddRef ()
void | Release ()
void | SetHandle (XnNodeHandle hNode)
void | TakeOwnership (XnNodeHandle hNode)

## Detailed Description

Allows access to general integer capabilities functions - see General Int Capability for additional details.

## Constructor & Destructor Documentation

## GeneralIntCapability() [1/2]

xn::GeneralIntCapability::GeneralIntCapability | ( | XnNodeHandle | hNode,
|  | const XnChar * | strCap )

inline

Ctor

Parameters

  [in] | hNode | Node handle
  [in] | strCap | Name of the capability

## GeneralIntCapability() [2/2]

xn::GeneralIntCapability::GeneralIntCapability | ( | const NodeWrapper & | node,
|  | const XnChar * | strCap )

inline

## Member Function Documentation

## Get()

XnInt32 xn::GeneralIntCapability::Get | ( |  | ) |

inline

Gets the current value of this capability. For full details and usage, see xnGetGeneralIntValue

## GetRange()

void xn::GeneralIntCapability::GetRange | ( | XnInt32 & | nMin,
|  | XnInt32 & | nMax,
|  | XnInt32 & | nStep,
|  | XnInt32 & | nDefault,
|  | XnBool & | bIsAutoSupported ) const

inline

Gets the range of this capability values. For full details and usage, see xnGetGeneralIntRange

## RegisterToValueChange()

XnStatus xn::GeneralIntCapability::RegisterToValueChange | ( | StateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

inline

Registers an event handler for the 'Value Change' event.

Parameters

  [in] | handler | Callback function to be invoked when the event is raised.
  [in] | pCookie | User's cookie, to be delivered to the callback.
  [out] | hCallback | Handle to the callback to be used for unregistering it.

For full details and usage of the parameters, see Registering to Events.

## Set()

XnStatus xn::GeneralIntCapability::Set | ( | XnInt32 | nValue | ) |

inline

Sets the current value of this capability. For full details and usage, see xnSetGeneralIntValue

## UnregisterFromValueChange()

void xn::GeneralIntCapability::UnregisterFromValueChange | ( | XnCallbackHandle | hCallback | ) |

inline

Unregisters the event handler for the 'Value Change' event.

Parameters

  [in] | hCallback | Handle received from registration.

For full details and usage of the parameter, see Unregistering from Events .

The documentation for this class was generated from the following file:

- XnCppWrapper.h